## org.h2.command.ddl
Class GrantRevoke

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.GrantRevoke

    public class GrantRevoke

extends DefineCommand

This class represents the statements GRANT RIGHT, GRANT ROLE, REVOKE RIGHT, REVOKE ROLE

Field Summary

Fields inherited from class org.h2.command.ddl.DefineCommand
`transactional`

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`GrantRevoke(Session session)`

Method Summary
`void` `addRight(int right)` Add the specified right bit to the rights bitmap.
`void` `addRoleName(java.lang.String roleName)` Add the specified role to the list of roles.
`void` `addTable(Table table)` Add the specified table to the list of tables.
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isTransactional()` Check if this command is transactional.
`void` `setGranteeName(java.lang.String granteeName)`
`void` `setOperationType(int operationType)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, queryMeta, setTransactional`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrantRevoke

    public GrantRevoke(Session session)

Method Detail

### setOperationType

    public void setOperationType(int operationType)

### addRight

    public void addRight(int right)

  Add the specified right bit to the rights bitmap.

  Parameters:
    `right` - the right bit

### addRoleName

    public void addRoleName(java.lang.String roleName)

  Add the specified role to the list of roles.

  Parameters:
    `roleName` - the role

### setGranteeName

    public void setGranteeName(java.lang.String granteeName)

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### isTransactional

    public boolean isTransactional()

  Description copied from class: `Prepared`
  Check if this command is transactional. If it is not, then it forces the current transaction to commit.

  Overrides:
    `isTransactional` in class `DefineCommand`
  Returns:
    true if it is

### addTable

    public void addTable(Table table)

  Add the specified table to the list of tables.

  Parameters:
    `table` - the table

### getType

    public int getType()

  Description copied from class: `Prepared`
  Get the command type as defined in CommandInterface

  Specified by:
    `getType` in class `Prepared`
  Returns:
    the statement type